<?xml version="1.0" encoding="ISO-8859-1"?>
<project name="SrcVersion" basedir="." default="jar">

    <target name="clean" description="Delete all generated files">
        <delete dir="classes"/>
        <delete file="SrcVersion.jar"/>
    </target>

    <target name="compile" description="Compiles the Task">
        <javac srcdir="src" destdir="classes"/>
    </target>

    <target name="jar" depends="compile" description="JARs the Task">
        <jar destfile="SrcVersion.jar" basedir="classes"/>
    </target>

    <target name="use" description="Use the Task" depends="jar">
        <taskdef name="srcversion" classname="SrcVersion" classpath="${ant.project.name}.jar"/>
        <srcversion property="SRC_OS_VERSION" libversion="${LIB_OS_VERSION}" />
    </target>

</project>
